• Share Your Car Experience
      Share Your Car Experience
    • Huge Range of Ford Parts
      Huge Range of Ford Parts
    • 1000's Of Fords For Sale
      1000's Of Fords For Sale
    • Savings Up to 15% Off For Members
      Savings Up to 15% Off For Members
    • Get Your Club gear
      Get Your Club gear
    • Join Premium & Save
      Join Premium & Save


alexp999

Update Sync 2 The Easy Way

Recommended Posts

 

Hi everyone,

I'am a owner of late 2015 Ford Mondeo from last June, I bought this car directly from Ford, the frst registration was in September 2015 by previous owner. I'am looking to upgrade my Sync 2 to 3.08 or to 3.10. I red some previous posts from you guys and I have some questions to you just to make sure I can make an update with no problem.

- has been mentioned before, you must have at least F4 sd card or newer to make Sync update?

-apparently they did a recall in the UK for the F3 card and gave everyone a free upgrade to the F4. So why my Mondeo still have F3 card? I just checked last sevice was in April this year, and Ford Service didn't bothered to replace the sd card for F4, and update the Sync to latest version during last service? 

- anyone noticed any improvement or new features between version 3.08 and 3.10? some people complain it doesn't mute radio anymore during reversing, I don't remember which version 3.08 or 3.10?

Below you can see photo of my current version for Sync and maps.

Any help will be apreciated

Regards

20170902_200917.jpg

Share this post


Link to post
Share on other sites

As far as I'm aware the nav version doesn't make any difference to the stnc update.
I have v3.10 and the music volume reduces when reversing but does not mute.
V3.10 does seem more stable and I used to get constant re-indexing of music on usb sticks under v3.8 but not any more.

Sent from my SM-G930F using Tapatalk

Share this post


Link to post
Share on other sites

Try putting your VIN in etis and check if any updates are listed. It should say if you can get an updated sat nav card.
As mine had an f2 when I bought it, I couldn't get a free update, so I got an f5 a year ago from e bay for about £20. F6 is now available and is probably a bit dearer.
I updated to 3.10 with no problems. Radio still mutes on reverse, but some on here had the same "problem".
To be honest, it wouldn't have botherd me if mine didn't mute, but hey ho.

Sent from my Nexus 7 using Tapatalk

Share this post


Link to post
Share on other sites

I don't think the mute on the radio is a fault it's so you can hear the reverse sensors / buzzers or they would not be much use
That's my theory anyway
I reverse into my garage every day and it only drops the volume when the sensors pick up a wall
I'm very happy with that


Sent from my iPhone using Tapatalk

Share this post


Link to post
Share on other sites

21 hours ago, TitXlover said:

Try putting your VIN in etis and check if any updates are listed. It should say if you can get an updated sat nav card.
As mine had an f2 when I bought it, I couldn't get a free update, so I got an f5 a year ago from e bay for about £20. F6 is now available and is probably a bit dearer.
I updated to 3.10 with no problems. Radio still mutes on reverse, but some on here had the same "problem".
To be honest, it wouldn't have botherd me if mine didn't mute, but hey ho.

Sent from my Nexus 7 using Tapatalk
 

Hi Pete,

I just checked etis and no updates are listed for my car. I tried vehicle update option on etis( see screenshot) but you have to run some ford software which doesn't work on my pc.

Also I'am planning to buy genuine F6 sd card from ebay, and I found some people selling used or new or even new without retail package. I just want to know if I can use card previously used by someone else, or this sd cards are paired with specific car to prevent to use in another car or something?

Regards

 

 

screenshoot.jpg

Share this post


Link to post
Share on other sites

It is just an SD card, they are interchangeable. Take the old one out and replace with new one when the car is switched off.
Mine was a new card, sealed.
Just be careful, if buying off e bay, apparently there are some fakes about. Go for a sealed new one is my suggestion, less chance of a dodgy one, even if a few £ more.

Still cheaper than a dealer too.

It's a bit annoying as some countries now update for free if you service the car at a dealer. I did ask Ford UK if they would follow suit and they said "watch this space". I have but nothing happened. Same as updating software over the net. Was "coming soon" 3 years ago, yet available in US for free, dealers here charge.

Anyway enjoy your updated sat nav.

Regards.



Sent from my Nexus 7 using Tapatalk

Share this post


Link to post
Share on other sites

it does show there is a software update on sync. if no updates that wont show up. as for sd card, its not vehicle specific so a used one will work

Share this post


Link to post
Share on other sites

Hi guys,

I just updated sync to 3.08 for at the moment, just to check the difference. After stage when you have to press ok to complete installation, on screen shows one more installation bar(see photo) installing file 2 of 2. So I've been waiting about 15 min to complete but nothing happened, in the meantime I couldn't get to an options and radio, so I decided to switch the engine and radio off. After switch everything back on, I checked system information and everything looks correct, version 3.08 appeared on screen and nav app version has been updated to. Any ideas, or did  enyone have simular situation?

Regards

20170905_162724.jpg

Share this post


Link to post
Share on other sites

It can take quite a while for everything to complete.
It's risky to shut everything off before it's completed, you could have bricked the unit.

Sent from my SM-G930F using Tapatalk

Share this post


Link to post
Share on other sites

21 minutes ago, Stoney871 said:

It can take quite a while for everything to complete.
It's risky to shut everything off before it's completed, you could have bricked the unit.

Sent from my SM-G930F using Tapatalk
 

 

22 minutes ago, Stoney871 said:

It can take quite a while for everything to complete.
It's risky to shut everything off before it's completed, you could have bricked the unit.

Sent from my SM-G930F using Tapatalk
 

Yes I know, but after 50 min I decided to turn the engine off, in my opinion it tooks way too long. I checked usb before and usb wasn't flashing so that's mean there was no operation in background. After few testings I will try install 3.10 version later. 

Share this post


Link to post
Share on other sites

sync is a nightmare updating, even sync3 is no better . uploading sat nav on transit sync 3 takes 50 mins with engine running or battery support unit atratched. did one yesterday that took 3 attempts before it loaded.

Share this post


Link to post
Share on other sites
On 5/17/2017 at 8:32 PM, n0taz said:

After a week of multiple attempts flash sync2 (LP2 over NA 3.10, or downgrade to 3.8, 3,7, 2.6 versions) with various variants  i did "vice versa" method:

1) I take 3.10 distrib for NorthAmerica (Gen2v310build16180updatepackageNA) - and without modifing install.lst did next:

2) simply delete original NA-language pack EA5T-14F497-AE.zip, then copy LP2-file EA5T-14F497-CF.zip from Gen2v310build16180updatepackageEULangpack2 and rename it to EA5T-14F497-AE.zip

3) Profit! Installation process finishing twice on my way to home (i don't know why twice).

It's a very simple workaround, but i don't know why i didn't try do it faster. 

But now I see at language selection menu big list: English, French, Spanish, Italian, Turkish, Germany, Nederlands, Slovenian, Portugalian, Russian (may be additional 1 or 2 items). It's not a big trouble for me :) But if anybody know method to delete another language pack - it's will be cool, cause it have very big size on disk.

 

p.s. sorry for my english ;) hope my experience will help somebody)

N0taz, how did you downgraded your sync?

I flashed the V3.10 software with language pack 5. Can I still change (reflash) only the language pack if say I would like to switch to a different language pack?

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now